package org.dromara.mp.service;

import org.dromara.mp.domain.UserWorker;
import org.dromara.mp.domain.vo.UserWorkerVo;
import org.dromara.mp.domain.bo.UserWorkerBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 自雇者Service接口
 *
 * @author LionLi
 * @date 2024-03-28
 */
public interface IUserWorkerService {

    /**
     * 查询自雇者
     */
    UserWorkerVo queryById(Long id);

    /**
     * 查询自雇者列表
     */
    TableDataInfo<UserWorkerVo> queryPageList(UserWorkerBo bo, PageQuery pageQuery);




    /**
     * 查询自雇者列表
     */
    List<UserWorkerVo> queryList(UserWorkerBo bo);

    /**
     * 新增自雇者
     */
    Boolean insertByBo(UserWorkerBo bo);

    /**
     * 修改自雇者
     */
    Boolean updateByBo(UserWorkerBo bo);

    /**
     * 校验并批量删除自雇者信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
